<script lang="ts">
import Vue from 'vue';
import { SearchInput } from '../common/index.vue';

export default Vue.extend({
  name: 'Error404',
  components: { SearchInput },
  props: {
    statusCode: {
      type: Number,
      required: false,
      default: 404,
    },
  },
});
</script>

<template>
  <section class="error-container">
    <SlpContainer class="error">
      <SlpRow class="slp-align-items-center">
        <SlpColumn :cols="6">
          <div class="error__content">
            <SlpTypography
              tag="h1"
              variant="heading1-bold"
              class="slp-mt-48 slp-mt-md-0 slp-mb-16"
              data-aos="fade-up"
              data-aos-duration="600"
              >404
            </SlpTypography>
            <SlpTypography
              class="slp-mb-16"
              tag="p"
              variant="heading5"
              data-aos="fade-up"
              data-aos-duration="800"
              >That page does not exist.
            </SlpTypography>
            <SlpTypography
              tag="p"
              variant="heading5"
              data-aos="fade-up"
              data-aos-duration="800"
            >
              That page may have moved or changed address. Contact your GitLab
              administrator if you think this is a mistake.
            </SlpTypography>
            <SearchInput
              class="slp-mb-24"
              data-aos="fade-up"
              data-aos-duration="1000"
            />
            <SlpButton
              variant="primary"
              class="slp-mb-8 error__button"
              data-ga-name="Get Help"
              data-ga-location="header"
              href="/get-help/"
              data-aos="fade-up"
              data-aos-duration="1200"
              >Get Help
            </SlpButton>
          </div>
        </SlpColumn>
        <SlpColumn :cols="6">
          <div
            class="error__image slp-my-32 slp-my-md-64 slp-ml-32 slp-ml-md-64"
            data-aos="zoom-in-up"
            data-aos-duration="1000"
          >
            <nuxt-img
              class="image"
              src="/nuxt-images/solutions/infinity-icon-cropped.svg"
              alt="Image: Infinity"
              loading="lazy"
              format="webp"
              quality="99"
            />
          </div>
          <div class="error__background" />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.error-container {
  overflow: hidden;
  position: relative;
}

.error {
  overflow: visible;

  &__content {
    @media (min-width: $breakpoint-md) {
      max-width: 445px;
    }
  }

  &__image {
    display: flex;
    justify-content: left;
    align-items: center;

    .image {
      width: 130vw;

      @media (min-width: $breakpoint-md) {
        width: 69vw;
        min-width: 69vw;
      }

      @media (min-width: $breakpoint-lg) {
        width: 65vw;
        min-width: 65vw;
      }
    }
  }

  &__button {
    @media (max-width: $breakpoint-md) {
      justify-content: center;
      width: 100%;
    }
  }

  &__background {
    position: absolute;
    z-index: -1;
    top: 0;
    background-color: $color-surface-800;
    left: 45%;
    height: 100%;
    width: 60vw;

    @media (min-width: $breakpoint-md) {
      left: 35%;
    }

    @media (min-width: $breakpoint-lg) {
      left: 30%;
    }
  }
}
</style>
